Package com.io7m.idstore.model

# Record Class IdSubsetMatch<T>

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdSubsetMatch<T>

Type Parameters:
  `T` - The type of values
Record Components:
  `include` - The items to include
  `exclude` - The items to exclude

public record IdSubsetMatch<T>(T include, T exclude) extends Record
A specification of a subset. Include all items matching `include`, and then, from that set, exclude all items matching `exclude`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdSubsetMatch(T include, T exclude)`
  A specification of a subset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `T`
  `exclude()`
  Returns the value of the `exclude` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `T`
  `include()`
  Returns the value of the `include` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdSubsetMatch

    public IdSubsetMatch(T include, T exclude)
    A specification of a subset. Include all items matching `include`, and then, from that set, exclude all items matching `exclude`.
    Parameters:
      `include` - The items to include
      `exclude` - The items to exclude

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### include

    public T include()
    Returns the value of the `include` record component.
    Returns:
      the value of the `include` record component

  - ### exclude

    public T exclude()
    Returns the value of the `exclude` record component.
    Returns:
      the value of the `exclude` record component